Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 15614

Description

The non-ASCII characters seem to be corrupted on a new shapefile. Steps to reproduce:

    -  Create a shapefile, choosing UTF8 and adding a text attribute

    -  Create a feature and fill the text attribute with non-ASCII text (for example 汉字)

    -  Save the shapefile.

The text of the attribute is replaced by "??"

This does not happen when loading an existing UTF8 shapefile, it can even be modified and saved. "Save as", however, is also affected.

I use QGis master and latest GDAL build from SVN. I am using ArchLinux with a en_US.UTF-8 locale.

I am aware of the previous issues between QGIS and GDAL, but Alexander Bruy told me they were mostly solved now and this problem

looks different, hence this new bug report.

History

#1 - 2012-09-11 07:58 AM - Leyan Ouyang

Everything seems to work much better if I choose the option "Ignore shapefile encoding". What does this new option do exactly ?

#2 - 2012-10-05 05:56 AM - Alexander Bruy

- Operating System deleted (ArchLinux)

- Status changed from Open to Feedback

Should be fixed in master, see commit:75dc85b4d652116814873bb7674cab15ce6cde66.

#3 - 2012-10-05 03:04 PM - Leyan Ouyang

This is the option "Ignore shapefile encoding" I mentioned in the first comment, and it does seem to solve the issue. However, the bug is not fixed in my

opinion as the default setting will lead to loss of data. This option should be checked by default while the issues with GDAL are not sorted out.

#4 - 2012-12-30 09:51 AM - Giovanni Manghi

- Priority changed from High to Normal

#5 - 2013-04-25 02:39 PM - Borys Jurgiel

- Resolution set to fixed
- Status changed from Feedback to Closed

Fixed in commit:4fb9879
